Bug 38801 - Port UCC Integration from UCC 2.0
Port UCC Integration from UCC 2.0
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: UCS Integration
UCC 2.1
Other Linux
: P5 normal
: UCC 2.1
Assigned To: Erik Damrose
Felix Botner
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-30 18:22 CEST by Erik Damrose
Modified: 2015-08-07 15:48 CEST (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Damrose univentionstaff 2015-06-30 18:22:47 CEST
The UCS app center packages from UCC 2.0 have to be adapted for UCC 2.1, a new app center repository has to be created
Comment 1 Erik Damrose univentionstaff 2015-07-01 12:08:02 CEST
r61594 ucc-image-toolkit 3.0.1-1
 * Bug #38801: Increase version for UCC 2.1
 * Create trusty symlink for debootstrap
 * Adapt example image files for UCC 2.1

r61595 ucc-management-integration  ucc-pxe-boot  ucc-server  ucc-umc-images  ucc-umc-setup
 * Version bump for UCC 2.1

r61597 repo-ng 2.0-168
 * Also check UCC 2.1 packages when syncing ubuntu mirror
Comment 2 Erik Damrose univentionstaff 2015-07-01 13:12:14 CEST
UCC 2.1 is available in the test app center. For QA, check changes in comment 1
Comment 3 Felix Botner univentionstaff 2015-07-20 11:51:37 CEST
FAIL - UCC2.0 is mentioned in several files

ucc-2.1-integration-> grep -ir "ucc2\.0" *
ucc-umc-setup/umc/js/uccsetup.js:                               helpText: _('<p>Welcome to the setup wizard for Univention Corporate Client (UCC)!</p><p>UCC allows the operation and management of Linux desktop systems as well as thin clients for accessing remote desktop services (terminal servers) via RDP and Citrix XenApp (ICA). Further information can be found in the <a href="http://docs.univention.de/en/ucc2.0.html" target="_blank">UCC manual</a>.</p>'),
ucc-umc-setup/umc/js/uccsetup.js:                               helpText: _('<p>Univention provides a preconfigured desktop image based on Kubuntu 14.04. The image is regularly updated and offers a fully-featured KDE desktop environment.</p><p>Note that it is also possible to create custom images. This is documented in the <a href="http://docs.univention.de/en/ucc2.0.html" target="_blank">UCC manual</a>.</p>'),
ucc-umc-setup/umc/js/uccsetup.js:                               helpText: _('<p>Univention provides a preconfigured UCC thin client image which is regularly updated.</p><p>The thin client image allows access to various terminal services (Windows, Citrix, XRDP) and provides also a minimal local LXDE desktop. In addition to this, it is possible to configure a direct browser login to a preconfigured website, e.g, to access cloud-based web services.</p><p>Note that it is also possible to create custom images. This is documented in the <a href="http://docs.univention.de/en/ucc2.0.html" target="_blank">UCC manual</a>.</p>'),
ucc-umc-setup/umc/js/de.po:"is documented in the <a href=\"http://docs.univention.de/en/ucc2.0.html\" "
ucc-umc-setup/umc/js/de.po:"finden sich im <a href=\"http://docs.univention.de/de/ucc2.0.html\" target="
ucc-umc-setup/umc/js/de.po:"This is documented in the <a href=\"http://docs.univention.de/en/ucc2.0.html"
ucc-umc-setup/umc/js/de.po:"docs.univention.de/de/ucc2.0.html\" target=\"_blank\">UCC-Handbuch</a>.</p>"
ucc-umc-setup/umc/js/de.po:"in the <a href=\"http://docs.univention.de/en/ucc2.0.html\" target=\"_blank"
ucc-umc-setup/umc/js/de.po:"Information finden Sie im <a href=\"http://docs.univention.de/de/ucc2.0.html"

-> grep -ir "ucc 2\.0" *
ucc-image-toolkit/example/ucc-thinclient.cfg:# This configuration file contains the configuration used for building the official UCC 2.0 thin client image
ucc-management-integration/modules/policies/ucc_user.py:                        short_description=_('UCC 1.0 terminal server (not used for UCC 2.0 clients)'),
ucc-management-integration/modules/policies/ucc_user.py:                        long_description=_('This UCC terminal server will be used for user logons to UCC terminal servers using X11 forwarding. In UCC 2.0 this is no longer supported and XRDP should be used instead.'),
ucc-management-integration/de.po:msgid "UCC 1.0 terminal server (not used for UCC 2.0 clients)"
ucc-management-integration/de.po:"servers using X11 forwarding. In UCC 2.0 this is no longer supported and "
ucc-management-integration/de.po:"verwendet, die X11-Forwarding verwenden. In UCC 2.0 ist das nicht "

OK - ucc-image-toolkit
OK - App installation
OK - App update
OK - packages update
OK - repo
Comment 4 Erik Damrose univentionstaff 2015-07-20 13:39:41 CEST
Fixed links to ucc 2.0 manual
Changed policy texts to mention UCC 2, without minor version number
r62247, r62248, r62249

appcenter.test updated
Comment 5 Felix Botner univentionstaff 2015-07-22 10:15:12 CEST
OK
Comment 6 Erik Damrose univentionstaff 2015-08-07 15:48:18 CEST
UCC 2.1 has been released. If this error occurs again, please use "Clone This Bug".